Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 883241 - dev-embedded/dfu-programmer-0.7.2-r1 fails to compile (CLANG-STRICTER-SYSTEM): atmel.c:284:31: error: call to undeclared library function malloc with type void (unsigned long); ISO C99 and later do not support implicit function declarations [-Werror,-Wim
Summary: dev-embedded/dfu-programmer-0.7.2-r1 fails to compile (CLANG-STRICTER-SYSTEM)...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-11-27 08:52 UTC by Agostino Sarubbo
Modified: 2023-03-02 18:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,51.29 KB, text/plain)
2022-11-27 08:52 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-11-27 08:52:39 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-embedded/dfu-programmer-0.7.2-r1 fails to compile (CLANG-STRICTER-SYSTEM).
Discovered on: amd64 (internal ref: clang-stricter_tinderbox)

NOTE:
(CLANG-STRICTER-SYSTEM) in the summary means that the bug was found on a machine that runs clang with stricter mode

This machine uses clang with CFLAGS/CXXFLAGS=-Werror=implicit-function-declaration -Werror=implicit-int -Werror=incompatible-function-pointer-types

See also:
https://archives.gentoo.org/gentoo-dev/message/dd9f2d3082b8b6f8dfbccb0639e6e240
https://wiki.gentoo.org/wiki/Modern_C_porting
Comment 1 Agostino Sarubbo gentoo-dev 2022-11-27 08:52:41 UTC
Created attachment 837347 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2023-03-02 18:55:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11bb8d734c0e97712bf844ea6ae90cadda696035

commit 11bb8d734c0e97712bf844ea6ae90cadda696035
Author:     Viorel Munteanu <ceamac@gentoo.org>
AuthorDate: 2023-03-02 18:34:47 +0000
Commit:     Viorel Munteanu <ceamac@gentoo.org>
CommitDate: 2023-03-02 18:54:10 +0000

    dev-embedded/dfu-programmer: add 1.0.0
    
    Closes: https://bugs.gentoo.org/898652
    Closes: https://bugs.gentoo.org/883241
    Closes: https://github.com/gentoo/gentoo/pull/29902
    Signed-off-by: Viorel Munteanu <ceamac@gentoo.org>

 dev-embedded/dfu-programmer/Manifest               |  1 +
 .../dfu-programmer/dfu-programmer-1.0.0.ebuild     | 59 ++++++++++++++++++++++
 dev-embedded/dfu-programmer/metadata.xml           |  1 +
 3 files changed, 61 insertions(+)